WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Gravity Forms + Stripe

Easy and secure credit card payments on your WordPress site with Stripe and Gravity Forms!

Do I need to have my own copy of Gravity Forms for this plugin to work?

Yes, you need to install the Gravity Forms Plugin for this plugin to work.

What is the minimum amount my form can accept?

$0.50, per Stripe

Does this version work with the latest version of Gravity Forms?

Just look at the version number! The versioning scheme now uses the Gravity Forms major release number. If the Add-On version number starts with a Gravity Forms major release number like 1.8, then it will work with Gravity Forms 1.8 and all of its minor releases 1.8.1, 1.8.2, etc.

Does your plugin use Stripe.js?

Yes.

Do I need to have SSL?

Yes, according to the Stripe Terms of Service regarding PCI-compliance.

Why am I getting an 'Empty string given for card' error?

Here are a few possible reasons, listed in the order they are most likely to occur:

  1. Your theme (especially if purchased from Themeforest) is stripping the shortcode, preventing the Stripe JS from working. Here's what you want to look for in your theme files (the code is in yellow) and disable by placing a '//' without the quotes in front of those lines: http://kaptinlin.com/support/discussion/7420/gravity-forms-code-of-the-raw-shortcode-discussion-thread/p1

This code may also be in a file called shortcodes.php or ThemeShortcodes.php.

  1. Another theme or plugin is modifying the standard Gravity Forms dropdowns and removing the classes, which breaks the Stripe JS. You'll want to contact the theme author to learn how to prevent this.

  2. You've embedded your Gravity Form directly into the page and missed one of the Gravity Forms instructions happens to the best of us! Here are the instructions: http://www.gravityhelp.com/documentation/page/Embedding_A_Form

  3. Another plugin is preventing the JS from working. Follow the procedure outlined here by Gravity Forms in order to troubleshoot: http://www.gravityhelp.com/documentation/page/Testing_for_a_Theme/Plugin_Conflict with one minor change -- For plugin conflicts, deactivate all plugins except Gravity Forms and Gravity Forms + Stripe.

  4. JavaScript is not available to browser

Do I need to purchase +(More) Stripe to make this plugin work?

No. If you are having an issue and tried the troubleshooting steps, purchase support. +(More) Stripe will not fix your issue -- it only adds features.

Your plugin just does not work

I can assure you that is not the case -- this should help you find where the problem is occurring or this

How do I know if I need to purchase support?

You can contact me

Requires: 3.6 or higher
Compatible up to: 3.8.3
Last Updated: 2014-1-14
Downloads: 17,640

Ratings

4 stars
4.1 out of 5 stars

Support

0 of 4 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,2,2 100,2,2 100,2,2 100,1,1
100,1,1
50,2,1
0,4,0
0,9,0 100,2,2
100,1,1
100,1,1 100,2,2
50,2,1
100,1,1 0,1,0
100,1,1 100,1,1
100,1,1 100,1,1
0,1,0 100,2,2
50,2,1